API

List members

GEThttps://api.visitors.now/v1/members

Returns all members of the project associated with your API key.

Request

index.ts
const res = await fetch("https://api.visitors.now/v1/members", {
  headers: { Authorization: `Bearer ${VISITORS_API_KEY}` },
});

const members = await res.json();

Response

[
  {
    "id": "02ebb755-323f-4a3c-b402-bd279d015efc",
    "role": "OWNER",
    "userId": "43f1f87a-df00-467c-b46f-195a8727619e",
    "projectId": "fe14d7a2-0f3f-4dc4-9c0b-6f4a49f5c751",
    "createdAt": "2025-11-28T14:30:56.837Z",
    "updatedAt": "2025-11-28T14:30:56.837Z",
    "user": {
      "id": "43f1f87a-df00-467c-b46f-195a8727619e",
      "name": "Daryl Ginn",
      "email": "d@example.com",
      "image": null
    }
  },
  {
    "id": "7c3a1b9e-5d2f-4e8a-9b1c-3f6a8d2e4c7b",
    "role": "MEMBER",
    "userId": "8e4f2a6b-1c3d-4e5f-a6b7-9d8e2f1a3c4b",
    "projectId": "fe14d7a2-0f3f-4dc4-9c0b-6f4a49f5c751",
    "createdAt": "2026-01-15T09:22:13.451Z",
    "updatedAt": "2026-01-15T09:22:13.451Z",
    "user": {
      "id": "8e4f2a6b-1c3d-4e5f-a6b7-9d8e2f1a3c4b",
      "name": "Jane Smith",
      "email": "jane@example.com",
      "image": null
    }
  }
  // ...
]

Response fields

id

string

Unique member identifier.

role

string

Member role. Either OWNER or MEMBER.

userId

string

The user's ID.

user

object

The user's name, email, and image.